/*BEGIN COPYRIGHT */
//*************************************************************************
//
//  Licensed Materials - Property of IBM
//  5697-FM3 5655-A96
//  (C) Copyright IBM Corp. 1999, 2001
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//************************************************************************/
/*END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */
//*************************************************************************
//
// This class implementation is used by the Authentication Exit java example
// to demonstrate the feasibility of user defined credentials.
//
//*************************************************************************

package com.ibm.workflow.java.exit.sample;

import java.io.*;

public class Credentials implements Serializable
{
  // default constructor
  Credentials()
  {
    this.setUser("Zaphod Beeblebrox");
    this.setPassword("mypassword");
    this.setEncryption("xyz");
    this.setAuthorization("private");
  }

  // Accessor methods for the private variables
  public void setUser (String userName)
  {
     username = userName;
  }
  public void setPassword (String pwd)
  {
     password = pwd;
  }
  public void setEncryption (String encr)
  {
     encryption = encr;
  }
  public void setAuthorization(String auth)
  {
     authorizationMethod = auth;
  }
  public String getUser()
  {
     return username;
  }
  public String getPwd()
  {
     return password;
  }
  public String getEncryption()
  {
     return encryption;
  }
  public String getAuthentication()
  {
     return authorizationMethod;
  }

  // This class is an example of a user defined object used as credential information for
  // logging on to MQWF.
  private String username = "";
  private String password = "";
  private String encryption = "";
  private String authorizationMethod = "";
}
